aboutsummaryrefslogtreecommitdiffstats
path: root/community/openvas-scanner/openvassd.initd
diff options
context:
space:
mode:
authorFrancesco Colista <fcolista@alpinelinux.org>2016-08-18 11:59:23 +0000
committerFrancesco Colista <fcolista@alpinelinux.org>2016-08-18 11:59:49 +0000
commit20c1f7f2330bfd49f9f8a86203aa49b3e34d41a4 (patch)
tree5dfd8cb78d65085c1f6a43fd01444fa92988a39d /community/openvas-scanner/openvassd.initd
parent0977a30ac83e81c7cbbbefbf41307ad75d7b7787 (diff)
downloadaports-20c1f7f2330bfd49f9f8a86203aa49b3e34d41a4.tar.bz2
aports-20c1f7f2330bfd49f9f8a86203aa49b3e34d41a4.tar.xz
community/openvas-scanner: moved from testing
Diffstat (limited to 'community/openvas-scanner/openvassd.initd')
-rw-r--r--community/openvas-scanner/openvassd.initd26
1 files changed, 26 insertions, 0 deletions
diff --git a/community/openvas-scanner/openvassd.initd b/community/openvas-scanner/openvassd.initd
new file mode 100644
index 0000000000..4b4de5e515
--- /dev/null
+++ b/community/openvas-scanner/openvassd.initd
@@ -0,0 +1,26 @@
+#!/sbin/openrc-run
+# Copyright 1999-2014 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+name="OpenVAS Scanner"
+command="/usr/bin/openvassd"
+command_args="${SCANNER_LISTEN} ${SCANNER_PORT} ${SCANNER_SRCIP} ${SCANNER_EXTRA_ARGS}"
+pidfile="/run/openvassd.pid"
+extra_stopped_commands="create_cache"
+
+depend() {
+ after bootmisc
+ need localmount net
+}
+
+start_pre() {
+ checkpath --directory --mode 0775 --quiet /var/cache/openvas
+}
+
+create_cache() {
+ checkpath --directory --mode 0775 --quiet /var/cache/openvas
+ ebegin "Generating initial Cache"
+ /usr/bin/openvassd --foreground --only-cache
+ eend $?
+}